<?php
class okeys extends CI_Model
{
  	/**
     * 事件上报
     * @param $event
     * @param $sid
     * @return string
     * Created by: Owen
     * Created on: 2019/10/14 20:28
     */
    static public function Report($event,$sid = 0){
        if($sid != 0){
            return "REPORT:{$event}-{$sid}";
        }
        return "REPORT:".$event;
    }

    /**
     * 支付上报
     * @return string
     * Created by: Hss
     * Created on: 2020/6/11 10:29
     */
    static function payReport($sid,$event_id = 10008){
    	if($event_id == 10008){
    		return "PAYREPORT:{$sid}";
    	}else{
    		return "PAYREPORT:{$sid}-{$event_id}";
    	}
    }

    public static function t_userinfo($uid) {
        return "POKDENGHALL_T_USERINFO:{$uid}";
    }

    /**
     * 用户缓存字段替换成新hash字段
     */
    public static function t_userinfoNew($uid) {
        return "TIF:{$uid}";
    }

    public static function account($siteuid) {
        return "POKDENGHALL_ACCOUNT|{$siteuid}";
    }

    /**
     * 新手步骤统计
     * Created by: hss
     * Created on: 2019/12/24 10:43
     */
    static public function noviceStepsSta($type = 0){
    	return $type?"NOVICESTEPSSTATISTICS:fb":"NOVICESTEPSSTATISTICS";
    }

    /**
     * 广告配置
     * Created by: Owen
     * Created on: 2019/10/18 20:03
     */
    static public function advertisementRemainCount($sid = ""){
        if($sid == ""){
            return "ADVERTISEMENTREMAINCOUNT";
        }
        return "ADVERTISEMENTREMAINCOUNT:{$sid}";
    }


    /**
     * 静态资源
     * Created by: Owen
     * Created on: 2019/8/22 14:54
     * Description:
     */
    static public function StaticConfig(){
        return 'STATICCONFIG';
    }


    /*
     * 流水缓存
     * @param $type
     * @return string
     * Created by: Owen
     * Created on: 2020/3/23 14:42
     */
    static public function CacheIntoDb($type){
        return "CACHEINTODB:{$type}";
    }

    /**
     * ios兑换码版本
     */
    static function openOlineVersion(){
        return 'OPENONLINE:VER';
    }

    /**
     * ios兑换码开关
     */
    static function openOline(){
        return 'OPENONLINE';
    }

    /**
     * ios过审开关
     */
    static function iosCloseSetting(){
        return 'IOS_CLOSE_SETTING';
    }

    /**
     * ios开关
     */
    static function isOpenMaple() {
        return 'ISOPENMAPLE';
    }

    //==================用户统计，日志=================
    static function assetsLog($d){
        return "ASSETS_LOG:".$d;
    }
    static function actAssetsLog($d){//活动信息流水
        return "ACTASSETS_LOG:".$d;
    }
    //埋点
    static function buryingPointLog($d){
        return "BURYINGPOINTLOG:".$d;
    }

    //漏斗打点
    static function funnel() {
        return "FUNNEL";
    }
    //==============================================

	/**
     * Notes:用户常规统计 hash
     * User: wsc
     * Time: 2020/6/6 10:24
     * @param $uid
     * @return string
     */
    static function userBasicsStatistics($uid){
        return "NEW_USER_BASICSSTATISTICS:".$uid;
    }

    /**
     * MD5 文件配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/6 20:09
     */
    static function StaticMd5Config(){
        return "STATICMD5CONFIG";
    }

    /**
     * 系统配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/8 15:02
     */
    static function systemConfig(){
        return "SYSTEMCONFIG";
    }


    /**
     * firebase 推送主题
     * @param string $lang
     * @return string
     * Created by: Owen
     * Created on: 2020/3/3 19:55
     */
    static public function FireBaseTopic($lang = ''){
        if ($lang == '') {
            return "FIREBASETOPIC";
        }
        $lang = strtoupper($lang);
        return "FIREBASETOPIC-{$lang}";
    }

    /**
     * 排行榜活动推送
     * @return string
     * Created by: Owen
     * Created on: 2020/7/4 15:47
     */
    static function ActivityRankPush(){
        return "ACTIVITYRANKPUSH";
    }

    /**
     * firebase 推送隊列
     * @return string
     * Created by: Owen
     * Created on: 2020/3/25 11:17
     */
    static public function FireBaseList(){
        return "FIREBASELIST";
    }

    /**
     * 推送消息--用户定时器循环缓存
     * @return string
     * Created by: Owen
     * Created on: 2019/7/16 11:46
     * Description:
     */
    static public function PushNew(){
        return 'PUSHNEW';
    }

    /**
     * Notes:用户属性缓存 hash
     * User: wsc
     * Time: 2020/6/4 17:08
     * @param $uid
     */
    static function userAttr($uid){
        return "NEW_USER_ATTR:".$uid;
    }

    /**
     * 邮件召回
     * @param  string
     * @return string
     * Created by: Owen
     * Created on: 2020/7/14 18:26
     */
    static function EmailRecall($day){
        return "EMAILRECALL:{$day}";
    }

    /**
     * 推送单一键
     * @return string
     * Created by: Owen
     * Created on: 2019/12/19 16:33
     */
    static public function SinglePush(){
        return "SINGLEPUSH";
    }

    /**
     * 活动金币
     * @return string
     * Created by: Owen
     * Created on: 2020/7/15 19:59
     */
    static function ActivityCoins(){
        return "ACTIVITYCOINS";
    }

    /**
     * 聚合广告
     * @param bool $version
     * @return string
     * Created by: Owen
     * Created on: 2020/9/22 18:05
     */
    static function Polymerization($version = 0){
        if($version){
            return "POLYMERIZATION{$version}";
        }
        return "POLYMERIZATION";
    }

    /**
     * 用户分组配置
     * @param  int
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:46
     */
    public static function UserGroupConfig($version = 0){
        if($version){
            return "USERGROUPCONFIG:{$version}";
        }
        return "USERGROUPCONFIG";
    }

    /**
     * 用户分组条件配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function UserGroupConditionConfig(){
        return "USERGROUPCONDITIONCONFIG";
    }

    /**
     * 用户分组需要计算的用户
     * @param  $version
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:50
     */
    public static function UserGroupAction($version = 0){
        if($version){
            return "USERGROUPACTION{$version}";
        }
        return "USERGROUPACTION";
    }

    /**
     * 用户分组需要计算的用户
     * @param  string
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:50
     */
    public static function UserGroupActionByUid($id){
        return "USERGROUPACTIONBYUID{$id}";
    }

    /**
     * 用户分组需要计算的用户
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:50
     */
    public static function UserGroupActionGroupId(){
        return "USERGROUPACTIONGROUPID";
    }

    /**
     * 用户分组已经计算的用户
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:50
     */
    public static function UserGroupDaily(){
        return "USERGROUPDAILY";
    }

    /**
     * 用户建筑信息
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2019/8/13 16:11
     * Description:
     */
    static public function UserBuildLevel($uid){
        return 'USERBUILDLEVEL:'.$uid;
    }

    static public function firstPay($uid){
        return 'FIRSTPAY:'.$uid;
    }

    /**
     * 用户动态数据
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/7/23 12:16
     */
    public static function UserDynamicsData($uid){
        return "UserDynamicsData:{$uid}";
    }

    public static function userfriends($uid,$type = "all") {
        return "USERFRIENDS:{$uid}-{$type}";
    }

    /**
     * 用户排行榜数据
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/7/23 16:27
     */
    public static function UserRankData($uid){
        return "UserRankData:{$uid}";
    }

    /**
     * 网络重连上报
     * @return string
     * Created by: Hss
     * Created on: 2020/7/22 18:34
     */
    static function NetworkReport($sid = 1){
    	return "NETWORKREPORT:{$sid}";
    }

    /**
     * 数据落地
     * @param $class
     * @return string
     * Created by: Owen
     * Created on: 2020/3/26 16:39
     */
    static public function Landing($class, $uid = null){
        if($uid === null){
            return "LANDING:{$class}";
        }
        $key = $uid % 24;
        return "LANDING:{$class}:{$key}";
    }

    /**
     * 登陆事件上报
     * @return string
     * Created by: Hss
     * Created on: 2020/7/28 11:09
     */
    static function LoginEventSta($sid = 1){
    	return "LOGINEVENTSTA:{$sid}";
    }

    /**
     * 客户端日记
     * @return string
     * Created by: hss
     * Created on: 2020/3/13 16:28
     */
    static public function clientlog(){
    	return "CLIENTLOG";
    }

    /**
     * 宝藏活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/23 16:27
     */
    public static function TreasureConfig($version = ''){
        if($version){
            return "TREASURECONFIG:NEW";
        }else{
            return "TREASURECONFIG";
        }
    }

    /**
     * 宝藏活动概率配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/23 16:27
     */
    public static function TreasureProConfig($version = ''){
        $version = $version ? '2' : '';
        if($version)return 'TREASUREPROCONFIGBYTASKID';
        return "TREASUREPROCONFIG{$version}";
    }

    /**
     * 企业微信token
     * @return string
     * Created by: Owen
     * Created on: 2019/11/26 20:41
     */
    static public function enWeChatAccessToken(){
        return "ENWECHATACCESSTOKEN";
    }

    /**
     *
     * @return string
     * Created by: Owen
     * Created on: 2020/8/3 19:48
     */
    static public function WechatCache($mobile){
        return "WECHATCACHE:{$mobile}";
    }

    /**
     * 分享链
     * @param $id
     * @return string
     * Created by: Owen
     * Created on: 2020/8/5 9:42
     */
    static function ShareLinkConfig($id){
        return "SHARELINKCONFIG:{$id}";
    }

    /**
     * 分享链奖励
     * @param $id
     * @return string
     * Created by: Owen
     * Created on: 2020/8/5 9:42
     */
    static function ShareLinkReward($id){
        return "SHARELINKREWARD:{$id}";
    }

    /**
     * 金卡交换粉丝页地址
     */
    static function fansUrl() {
        return "FANSURL";
    }

    /**
     * 企业微信号码对应用户信息
     * @param $id
     * @return string
     * Created by: Owen
     * Created on: 2020/8/5 9:42
     */
    static function EnWechatMobile($id){
        return "ENWECHATMOBILE:{$id}";
    }

    /**
     * 获取用户国家信息
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/8/7 17:56
     */
    static function userCountryInfo($uid){
        return "USERCOUNTRYINFO:".$uid;
    }

    /**
     * 星星兑换记录
     * @return string
     * Created by: Owen
     * Created on: 2020/6/10 17:15
     */
    static function StarExchangeConfig(){
        return "STAREXCHANGECONFIG";
    }

    /**
     * 星星兑换记录（新）
     * @return string
     */
    static function StarExchangeConfigV2(){
        return "STAREXCHANGECONFIGV2";
    }

    /**
     * 活动图片资源目录配置
     * @param $uid
     * @return string
     * Created by: Hss
     * Created on: 2020/8/14 15:18
     */
    static function ActiveImgNameConfig(){
        return "ACTIVEIMGNAMECONFIG";
    }
    /**
     * Notes:活动等级金币奖励基数
     * User: wsc
     * Time: 2020/7/26 22:42
     * @param $aid
     * @return string
     */
    static function activityCoinRewardByType($type){
        return "CONF_ACTICITY_COIN_REWARD:".$type;
    }

    /**
     * 等级基础金币
     */
    static function lvBaseCoinsByType(int $type): string
    {
        return "LV_COIN_CONFIG:$type";
    }

    /**
     * 单个活动的md5 json下发客户端缓存
     */
    static function activityM5Json($aid) {
        return "CONACTFMD5:{$aid}";
    }
    /**
     * 邀请奖励配置 等级区间
     * @param $uid
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:18
     */
    static function InviteRewardConfig($sid = 1){
        return "INVITEREWARDCONFIG:{$sid}";
    }

    /**
     * Notes:邀请阶段奖励
     * User: wsc
     * Time: 2020/9/16 10:14
     * @return string
     */
    static function InviteStageReward(){
        return "CONF_INTIVITY_STAGE_REWARD";
    }

    /**
     * 好友邀请进度领奖统计
     */
    static public function inviteStageSuccReward($day) {
        return 'INVSTAGENUM:'.$day;
    }

    /**
     * 规则礼包统计
     * @param $sid
     * @return string
     * Created by: Hss
     * Created on: 2020/8/26 11:38
     */
    static function GiftEventSta($sid = 1,$type = 1){
        return "GIFTEVENTSTA:{$sid}-{$type}";
    }

    /**
     * 寵物等級配置
     * @param  $petId
     * @return string
     * Created by: Owen
     * Created on: 2020/8/24 15:08
     */
    static function PetLevelConfig($petId){
        return "PETLEVELCONFIG:{$petId}";
    }

    /**
     * 寵物最大等级key
     * @param  $petId
     * @return string
     * Created by: Owen
     * Created on: 2020/8/24 15:08
     */
    static function PetMaxLv(){
        return "PETCFG:MAXLV";
    }


    /**
     * 卡片概率
     * @return string
     * Created by: Owen
     * Created on: 2020/3/25 14:36
     */
    static public function CardTypePro($type){
        return "CARDTYPEPRO:{$type}";
    }

    /**
     * 邀请事件上报
     * @param $sid
     * @return string
     * Created by: Hss
     * Created on: 2020/8/26 11:38
     */
    static function inviteEventSta($sid = 1,$type = 1){
        return "INVITEEVENTSTA:{$sid}-{$type}";
    }

    /**
     * 分享事件上报
     * @param $sid
     * @return string
     * Created by: Hss
     * Created on: 2020/11/25 14:27
     */
    static function shareEventSta($sid = 1,$type = 1,$event = 1){
        return "SHAREEVENTSTA:{$sid}-{$type}-{$event}";
    }

    /**
     * 分享基础配置
     */
    static public function shareBaseConfig() {
        return "SHAREBASECONFIG";
    }

  	/**
     * 分享配置
     * @return string
     * Created by: Owen
     * Created on: 2019/11/29 17:06
     */
    static public function shareConfig($version = false){
        $version = intval($version);
        return "SHARECONFIG{$version}";
    }

    /**
     * 用户AdJust分组
     * @param $uid
     * @return string
     * Created by: Hss
     * Created on: 2020/8/26 11:38
     */
    static function UserAdjustGroup($uid){
        return "USERADJUSTGROUP:{$uid}";
    }

    /**
     * 最大金卡数量
     * @param  $type
     * @return string
     * Created by: Owen
     * Created on: 2020/3/25 14:36
     */
    static public function MaxGoldCard($type){
        return "MAXGOLDCARD:{$type}";
    }

     /**
     * 宝藏探索礼包积分配置
     * @return string
     * Created by: Hss
     * Created on: 2020/9/9 10:05
     */
    static function treasureQuestPointConfig(){
        return "TREASUREQUESTPOINTCONFIG";
    }

    /**
     * 金币不足 体力不足 配置
     * @param  $type
     * @return string
     * Created by: Hss
     * Created on: 2020/9/15 15:09
     */
    static public function shopNotEnoughConfig($type){
        return "SHOPNOTENOUGHCONFIG:{$type}";
    }

    /**
     * 用户充值总值
     * @param $uid
     * @return string
     * Created by: owen
     * Created on: 2020/2/6 16:54
     */
    static public function UserTotalPayNum($uid){
        return "USERTOTALPAYNUM:{$uid}";
    }

    /**
     * 用户最後支付時間
     * @param  string
     * @return string
     * Created by: Owen
     * Created on: 2020/6/28 14:52
     */
    static public function UserLastPayTime($uid){
        return "USERLASTPAYTIME:{$uid}";
    }

    /**
     * 用户首次支付時間
     * @param  string
     * @return string
     * Created by: Hss
     * Created on: 2020/6/28 14:52
     */
    static public function UserFirstPayTime($uid){
        return "USERFIRSTPAYTIME:{$uid}";
    }

    /**
     * 宠物配置
     * @param string $id
     * @param bool $versionFlag
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 11:01
     */
    static public function PetConfig($id = "",$versionFlag = false){
        $version = $versionFlag?"2":"";
        if($id == ""){
            return "PETCONFIG{$version}";
        }
        return "PETCONFIG{$version}:$id";
    }

    /**
     * Notes:用户绑定的奖励id
     * User: wsc
     * Time: 2020/9/11 11:01
     * @param $uid
     * @param $aid
     * @return string
     */
    static function userBindActRid($uid,$aid){
        return "ACT_USER_BIND_RID:{$uid}-{$aid}";
    }

    /**
     * 宝箱配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/14 15:23
     */
    static function ChestConfig($id){
        return "CHESTCONFIG2:{$id}";
    }
    /**
     * 宝箱皮肤配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/14 15:23
     */
    static function ChestSkinConfig($id){
        return "CHESTSKINCONFIG2:{$id}";
    }

    /**
     * Notes:最新皮肤宝箱配置
     * User: wsc
     * Time: 2021/12/15 20:12
     * @param $id
     * @return string
     */
    static function NewChestSkinConfig($id) {
        return "NEW_CHESTSKINCONFIG:{$id}";
    }
    /**
     * 皮肤宝箱卡片星星概率配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/14 15:23
     */
    static function ChestSkinStarProConfig($id){
        return "CHESTSKINSTARPROCONFIG:{$id}";
    }


    /**
     * 可被攻击盾牌池子
     * @param  string
     * @return string
     * Created by: Owen
     * Created on: 2020/8/21 15:16
     */
    static function AttackShieldList($lv){
        return "NEW_ATTACKSHIELDLIST:$lv";
    }
    /**
     * 可被攻击盾牌备选池子
     * @param  string
     * @return string
     * Created by: Owen
     * Created on: 2020/8/21 15:16
     */
    static function AttackShieldBFList($lv){
        return "ATTACKSHIELDBFLIST:$lv";
    }
    /**
     * 刪除分組操作
     * Created by: Owen
     * Created on: 2020/10/13 16:18
     */
    static function DelUserGroupAction(){
        return "DELUSERGROUPACTION";
    }


    /**
     * 小丑卡统计
     * @return string
     * Created by: Hss
     * Created on: 2020/10/15 16:21
     */
    static function JokerCardSta(){
        return "JOKERCARDSTA";
    }

    // 新玩家渠道 1FB邀请进入 2邀请码进入
    static public function newplayerFromDate($type = 1, $device = 1, $date)
    {
        return 'NEWPLAYERFROM:'.$date.':'.$device.':'.$type;
    }

    /**
     * 活动入口点击
     * @return string
     * Created by: Hss
     * Created on: 2020/10/28 15:15
     */
    static function activityClickSta(){
        return "ACTIVITYCLICKSTA";
    }

    /**
     * 商城促销统计
     * @return string
     * Created by: Hss
     * Created on: 2020/11/2 10:53
     */
    static function shopDiscountSta($type = ''){
        return ($type==""?"SHOPDISCOUNTSTA":"SHOPDISCOUNTSTA:{$type}");
    }

  	/**
     * 今日数据排行
     * @return string
     * Created by: Owen
     * Created on: 2019/11/1 20:08
     */
    static public function todayDataRank($type){
        return "TODAYDATARANK:".$type;
    }

    /**
     * 用户分组需要计算的用户
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:50
     */
    public static function UserGroupTotal(){
        return "USERGROUPTOTAL";
    }

    /**
     * 矿工游戏次数
     * @param  $type
     * @param  $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/2/29 18:52
     */
    static public function MiningGameSta($type,$uid){
        return "MININGGAMESTA:{$type}-{$uid}";
    }

    /**
     * 邮箱统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/21 15:25
     */
    static public function SendMailSta(){
        return "SENDMAILSTA";
    }
    /**
     * Notes:fasebase推送配置
     * User: wsc
     * Time: 2020/11/9 21:01
     * @return string
     */
    static  function fasebasePushConf(){
        return "CONF_FASEBASE_PUSH";
    }
    static function fasebasePushConfByKey(){
        return "CONF_FASEBASE_PUSH_BY_KEY";
    }
    /**
     * 是否是推金币用户
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/11/25 14:31
     */
    static function isPushCoinsUser($uid){
        return "ISPUSHCOINSUSER:{$uid}";
    }

    /**
     * 幸运夺宝概率配置
     * @return string
     * Created by: Owen
     * Created on: 2020/11/26 17:45
     */
    static function LuckyProConfig(){
        return "LUCKYPROCONFIG";
    }
    /**
     * 幸运夺宝配置
     * @return string
     * Created by: Owen
     * Created on: 2020/11/26 17:45
     */
    static function LuckyConfig(){
        return "LUCKYCONFIG";
    }
    /**
     * 幸运夺宝进度配置
     * @return string
     * Created by: Owen
     * Created on: 2020/11/26 17:45
     */
    static function LuckyProgressConfig(){
        return "LUCKYPROGRESSCONFIG";
    }

    /**
     * 好友召回配置
     */
    static function callbackConfig() {
        return "CALLBACKFCONFIG";
    }

    /**
     * 好友数量进度奖励配置
     */
    static function friendProgressRewardConfig(){
        return "FRNDPRSSREWARDCONFIG";
    }

    /**
     *  统计在线在玩
     */
    public static function onlineplaying($id = 1)
    {
        return "ONLINEPLAYING{$id}";
    }

    /**
     * 支付白名单
     * @return string
     * Created by: Hss
     * Created on: 2020/11/23 16:20
     */
    static function payWhiteList(){
        return "PAYWHITELIST";
    }
    //当前日期在线统计
    static function onlineCountLog($d=''){
        if(empty($d)){
            $d =date('Ymd');
        }
        return "ONLINECOUNTLOG:".$d;
    }
    //当前日期登录记录统计
    static function loginCountLog($d=''){
        if(empty($d)){
            $d =date('Ymd');
        }
        return "LOGINCOUNTLOG:".$d;
    }

    /**
     * Notes:推金币游戏记录
     * User: wsc
     * Time: 2020/11/18 17:07
     * @return string
     */
    static function coinDozerGameLogList(){
        return "GAMELOG_COINDOZER";
    }

    //活动参与率hash key
    static public function participationSubKey($type, $flag) {
        return "{$type}:{$flag}";
    }

    //玩家活动参与key
    static public function participationUidKey($uid, $type, $flag) {
        return "PARTU:{$uid}:{$type}:{$flag}";
    }

    //宠物参与key
    static public function participationPetKey($uid, $petId) {
        return "PETPART:{$uid}:{$petId}";
    }

    //玩家活动参与率相关日志
    static public function participationLog($date) {
        return "PARTICIPATION:".$date;
    }

    /**
     * 好友召回统计
     * @return string
     * Created by: Hss
     * Created on: 2020/12/17 10:25
     */
    static function friendRecallSta($type = 1){
        return "FRIENDRECALLSTA:{$type}";
    }

    /**
     * 定时器并发锁
     * @return string
     * Created by: Hss
     * Created on: 2020/12/17 10:25
     */
    static function CrontabLock($type = ''){
        return "CRONTABLOCK:{$type}";
    }

    /**
     * 用户道具
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/5/7 17:25
     */
    static function UserProps($uid){
        return "USERPROPS:".$uid;
    }

    /**
     * 用户卡片信息
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/3/26 18:31
     */
    static public function UserCardInfo($uid){
        return "USERCARDINFO:{$uid}";
    }

    /**
     * 限时卡组主题配置key
     * @param int $themeId
     * @return string
     */
    static public function limitGroupCardThemeConfig(int $themeId): string
    {
        return "LIMITGROUPCARDTHEMECONFIG:{$themeId}";
    }

    /**
     * 用户宠物
     * @param $uid
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 20:04
     */
    static public function UserPet2($uid){
        return "USERPET2:{$uid}";
    }

    /**
     * 用户充值总次数
     * @param $uid
     * @return string
     * Created by: owen
     * Created on: 2020/2/6 16:54
     */
    static public function UserPayTimes($uid){
        return "USERPAYTIMES2:{$uid}";
    }

    /**
     * CMS 支付数据
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2021/1/20 11:47
     */
    static public function CMSUserPayData($uid){
        return "CMSUSERPAYDATA:{$uid}";
    }

    /**
     * Notes:跑马灯消息配置缓存
     * User: wsc
     * Time: 2021/1/20 14:35
     */
    static function noticeMsg(){
        return "NOTICE_MSG";
    }

    /**
     * 等待攻击列表
     * @param $levelId
     * @return string
     * Created by: Owen
     * Created on: 2020/6/20 16:05
     */
    static public function AttackWaitList($levelId){
        return "ATTACKWAITLIST:{$levelId}";
    }

    /**
     * inst/twitter粉丝弹出页
     * @return string
     */
    public static function fansPage() {
        return "FANSPAGE";
    }

    /**
     * 卡片系数配置
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2021/1/20 11:47
     */
    static public function CardCoefficient(){
        return "CARDCOEFFICIENT";
    }

    /**
     * 小游戏时长key
     * @param string $day 日期(date(Ymd))
     * @param int $type (类型)
     */
    static public function PlayParticipateDuration($day, $type) {
        return "PARTIME:{$day}:{$type}";
    }

    /**
     * 小游戏次数key
     * @param string $day 日期(date(Ymd))
     * @param int $type (类型)
     */
    static public function PlayParticipateTimes($day, $type) {
        return "PARNUM:{$day}:{$type}";
    }

    /**
     * 系统补偿
     * @return string
     * Created by: Owen
     * Created on: 2021/1/25 20:00
     */
    static public function SysCompenConfig(){
        return "SYSCOMPENCONFIG";
    }

    /**
     * 系统补偿
     * @return string
     * Created by: Owen
     * Created on: 2021/1/25 20:00
     */
    static public function UserSysCompen($id){
        return "USERSYSCOMPEN:{$id}";
    }
    /**
     * 系统公告
     * Created by: Owen
     * Created on: 2019/11/7 11:50
     */
    static public function announcement($flag = 0){
        return !$flag ? "ANNOUNCEMENT" : "ANNOUNCEMENT2";
    }
    /**
     * 系统公告
     * Created by: Owen
     * Created on: 2019/11/7 11:50
     */
    static public function announcementNew($id){
        return  "ANNOUNCEMENT:{$id}";
    }
    //被偷对象等级分块
    public static function userLevelStealList($lv){
        return "SYS:LIST:USER_LEVEL_STEAL_LIST:".$lv;
    }
    //被偷对象备选池
    public static function userLevelStealListBTF($lv){
        return "SYS:LIST:BTF_USER_LEVEL_STEAL_LIST:".$lv;
    }
    //被偷池子redis key
    public static function foxStealPool(){
        return "USER_STEAL_POOL";
    }
    //被偷池子redis key
    public static function foxAttackPool(){
        return "USER_ATTACK_POOL";
    }

    /**
     * 后台增加老虎机体力统计/老虎机体力关卡概率统计
     * @return string
     * Created by: Hss
     * Created on: 2021/2/1 17:28
     */
    static function slotSpinsSta($date = '',$type = ''){
        return "SLOTSPINSSTA:{$date}-{$type}";
    }

    /**
     * Notes:新的等级老虎机旋转概率权重规则
     * User: wsc
     * Time: 2021/2/24 17:31
     * @return string
     */
    static public function slotWeightCfg(){
        return 'SLOTWEIGHTCONFIG';
    }

    /**
     * Notes:新的等级老虎机旋转概率权重 数数分组 规则
     * User: wsc
     * Time: 2021/2/24 17:31
     * @return string
     */
    static public function slotWeightGroupsCfg(){
        return 'SLOTWEIGHTGROUPSCONFIG';
    }

    /**
     * Notes:新的等级老虎机旋转概率权重 数数分组 规则
     * User: wsc
     * Time: 2021/2/24 17:31
     * @return string
     */
    static public function slotWeightGroupsShushus(){
        return 'SLOTWEIGHTSHUSHU';
    }

    /**
     * Notes:金币老虎机 概率权重 数数分组 规则
     * User: xwy
     * Time: 2022/2/24 11:31
     * @return string
     */
    static public function treasureProGroupsCfg(){
        return 'TREASURESLOTCONFIGSHUSHUTASKID';
    }

    /**
     * Notes:金币老虎机 概率权重 数数分组 规则
     * User: xwy
     * Time: 2022/2/24 11:31
     * @return string
     */
    static public function treasureProGroupsShushus(){
        return 'TREASURESLOTWEIGHTSHUSHU';
    }

    /**
     * Notes:幸运骰子 结果概率权重 数数分组 规则
     * @return string
     */
    static public function LuckyDicePointGroups(): string
    {
        return 'LuckyDicePointGroups';
    }

    /**
     * Notes:幸运骰子 结果概率权重 数数分组 规则
     * @return string
     */
    static public function LuckyDicePointGroupsConfig(): string
    {
        return 'LuckyDicePointGroupsConfig';
    }

    /**
     * Notes:幸运骰子 转盘概率权重 数数分组 规则
     * @return string
     */
    static public function LuckyDiceWheelGroups(): string
    {
        return 'LuckyDiceWheelGroups';
    }

    /**
     * Notes:幸运骰子 转盘概率权重 数数分组 规则
     * @return string
     */
    static public function LuckyDiceWheelGroupsConfig(): string
    {
        return 'LuckyDiceWheelGroupsConfig';
    }

    /**
     * Notes:老虎机权重系数配置
     * User: wsc
     * Time: 2021/2/25 16:02
     * @param $type string
     * @return string
     */
    static function slotCoefficientCfg($type)
    {
        return "CONFIG_SLOTCOEFFICIENT:{$type}";
    }

    /**
     * Notes:老虎机体力反比配置
     * User: xwy
     * Time: 2021/8/28 16:02
     * @param $type string
     * @return string
     */
    static function slotSpinsReturnRateCfg($type)
    {
        return "SLOT_SPINS_RETURN_RATE:{$type}";
    }

    /**
     * Notes:收集活动卡点配置
     * User: xwy
     * Time: 2021/8/30 17:02
     * @param $type string
     * @return string
     */
    static function slotFreezePointCfg($type)
    {
        return "SLOT_FREEZE_POINT:{$type}";
    }

    /**
     * Notes:收集活动卡点配置最小触发层级
     * User: xwy
     * Time: 2021/8/30 17:02
     * @param $type string
     * @return string
     */
    static function slotFreezePointMinStage()
    {
        return "SLOT_FREEZE_POINT:MIN_STAGE";
    }

    /**
     * 偷结果配置
     * @param $type
     * @return string
     * Created by: Owen
     * Created on: 2021/2/27 16:28
     */
    static function stealRetCfg($type){
        return "CONFIT_STEALRETCONFIG:{$type}";
    }

    /**
     * 锦标赛 + 超级收集活动 进度支付总金额统计
     * @return string
     * Created by: Hss
     * Created on: 2021/2/1 17:28
     */
    static function rankCollectPaySta($aid = '',$type = '',$rid = 0,$stage = 0){
        return "RANKCOLLECTPAYSTA:{$aid}-{$type}-{$rid}-{$stage}";
    }

    /**
     * 锦标赛 + 超级收集活动 进度支付前体力数值统计
     * @return string
     * Created by: Hss
     * Created on: 2021/2/1 17:28
     */
    static function rankCollectSpinsSta($aid = '',$type = '',$rid = 0,$stage = 0){
        return "RANKCOLLECTSPINSSTA:{$aid}-{$type}-{$rid}-{$stage}";
    }

    /**
     * 锦标赛 + 超级收集活动 进度支付每层首次付费进度数值统计
     * @return string
     * Created by: Hss
     * Created on: 2021/2/1 17:28
     */
    static function rankCollectNumSta($aid = '',$type = '',$rid = 0,$stage = 0){
        return "RANKCOLLECTNUMSTA:{$aid}-{$type}-{$rid}-{$stage}";
    }

    /**
     * 锦标赛 活动期间消耗体力
     * type null锦标赛累计 rank-up锦标赛进度 super_collect-up超级收集进度
     * @return string
     * Created by: Hss
     * Created on: 2021/2/1 17:28
     */
    static function rankConsumeSta($aid = '',$type = '',$rid = 0,$stage = 0){
        if($type){
            return "RANKCONSUMESTA:{$aid}-{$type}-{$rid}-{$stage}";
        }else{
            return "RANKCONSUMESTA:{$aid}-{$rid}";
        }
    }

    /**
     * 用户当前绑定的该类型活动
     * @param $type
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2021/3/11 10:55
     */
    static function userBindActivity($type,$uid){
        return "ACT_USER_BIND:".$type.'-'.$uid;
    }

    static function TreasureSpend($aid){
        return "TREASURESPEND:{$aid}";
    }

    /**
     * 系统邮件
     * @return string
     */
    static function sysMailMsg() {
        return "SYSMAILMSGS";
    }

    static function MonitorCDNFile(){
        return "MONITORCDNFILE";
    }

   /**
    * 每日宝箱活动
    * @param int $day
    */
    static function daliyChestLog($day){
        return "DALIYCHESTLOG:{$day}";
    }
    //召回礼包
    static function callbackGift(){
        return "GIFT_CALLBACK";
    }

    /**
     * 用戶登录次数
     * @return string
     * Created by: Owen
     * Created on: 2019/10/11 11:55
     */
    static public function LoginCount(){
        return "LOGINCOUNT";
    }

    /**
     * 当日登录时长环形key
     * @return string
     * Created by: Owen
     * Created on: 2019/10/17 16:56
     */
    static public function LoginTime($uid = null){
        if($uid === null){
            return "LOGINTIME";
        }
        $key = $uid % 24;
        return "LOGINTIME:{$key}";
    }

    /**
     * 登录时长所有环形key
     * @param string $class
     * @return array
     */
    static public function LoginTimes() {
        $keys = [];
        for($i = 0; $i < 24; $i++){
            $keys[] = self::LoginTime($i);
        }
        return $keys;
    }

    static function CoinsValueSta($type = ""){
        return "COINSVALUESTA{$type}";
    }

    /**
     * 支付金额
     * @param $date
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2021/4/14 12:05
     */
    static function PayNumByDate($date,$uid){
        return "PAYNUMBYDATE-{$date}-{$uid}";
    }

    /**
     * 当前体力价值
     * @return string
     * Created by: Owen
     * Created on: 2021/4/14 15:46
     */
    static function CurSpinValue(){
        return "CURSPINVALUE";
    }

    static function TreasureRewardSta($date){
        return "TreasureRewardSta:{$date}";
    }

    static function CMSCache($class,$fun,$param){
        return "CMSCACHE:{$class}-{$fun}-{$param}";
    }
    //偷钱比例配置
    static function stealRaticProCfg(){
        return "STEAL_RATIC_PRO_CFG";
    }

    static function SharePointListConfig(){
        return "SHAREPOINTLISTCONFIG";
    }
    /**
     * 上限配置
     * @return string
     * Created by: Owen
     * Created on: 2020/8/24 15:08
     */
    static function UpLimitConfig(){
        return "UPLIMITCONFIG";
    }

    /**
     * adjust数据报表数据临时缓存
     * @return string
     * Created by: Hss
     * Created on: 2021/5/12 16:13
     */
    static function AdjustStaCache($key = ''){
        return "ADJUSTSTACACHE:{$key}";
    }

    /**
     * Notes:数数分组用户列表
     * User: wsc
     * Time: 2021/5/29 18:08
     * @param $groupId
     * @return string
     */
    static function userListSSGroup($groupId){
        return "SS_USERGROUP_LIST:{$groupId}";
    }

    // FruitGameBaseCoinsCfg 水果机等级基础金币配置
    static function FruitGameBaseCoinsCfg() {
        return "FRUIT_GAMEBASECOINS";
    }

    // FruitGameLimitCfg 水果机每日次数配置
    static function FruitGameLimitCfg()  {
        return "FRUIT_GAMELIMITCFG";
    }

    //  FruitGameProCfg 水果机旋转权重配置
        static function FruitGameProCfg($type="")  {
        return "FRUIT_GAMEPROCFG".$type;
    }

    // FruitGameGoodsListCfg 水果机商品
        static function FruitGameGoodsListCfg($type="")  {
        return "FRUIT_GAMEGOODSLISTCFG".$type;
    }

    // FruitGameLvCfg 水果机等级配置
        static function FruitGameLvCfg($lv)  {
        return "FRUIT_GAMELVCFG:{$lv}";
    }
    // FruitMaxLv 水果机最大等级
    static function FruitMaxLv(){
        return "FRUIT_GAME_MAXLV";
    }

// 新水果机每日免费重置剩余时长
    static function UserFruitFreeTime($uid){
        return "USER_FRUIT_FREE_TIME:{$uid}";
    }
// 新水果机付费待消耗旋转次数
    static function   UserFruitPayLimit($uid){
        return "USER_FRUIT_PAY_LIMIT:{$uid}";
    }

    /**
     * 数数分组配置列表 显示
     * @return string
     * Created by: Hss
     * Created on: 2021/5/12 16:13
     */
    static function configSSGroupShow(){
        return "CONFIGSSGROUPSHOW";
    }

    /**
     * 数数分组配置列表 是否每日拉取
     * @return string
     * Created by: Xwy
     * Created on: 2021/5/12 16:13
     */
    static function configSSGroupUpdate(){
        return "CONFIGSSGROUPUPDATE";
    }

    /**
     * 数数分组是否更新完毕 标识  - 按天 - 数数那边
     * @return string
     * Created by: xwy
     * Created on: 2021/5/12 16:13
     */
    static function shushuGroupRefreshCompleteKey($date = ''){
        if(empty($date))$date = date('Ymd');
        return "SHUSHUGROUP:REFRESH:COMPLETE:{$date}";
    }

    /**
     * 数数分组是否更新完毕 标识  - 按天 - 自己这边
     * @return string
     * Created by: xwy
     * Created on: 2021/5/12 16:13
     */
    static function shushuGroupUpdateCompleteKey($date = ''){
        if(empty($date))$date = date('Ymd');
        return "SHUSHUGROUP:UPDATE:COMPLETE:{$date}";
    }
    static function foxRealTimeOnlineKey(){
        return 'USERONLINESET';
    }
    static function foxOnlineSummaryKey($date){
        return 'FOXONLINE_SUMMARY:'.$date;
    }
    static function stealCoinConf(){
        return 'STEAL_COIN_CONF';
    }
    static function userPayedDaily($date){
        return 'USER_PAYED_DAILY:'.$date;
    }

    /**
     * 分多层配置的活动 获取用户层级条件 hash
     * @return string
     * Created by: Xwy
     * Created on: 2021/11/22 10:13
     */
    static function activityConditionKeys($aid){
        return 'ACT_CONDITION_KEY:'.$aid;
    }

    /**
     * 分多层配置的活动 不同层级的奖励key,hash
     * @return string
     * Created by: Xwy
     * Created on: 2021/11/22 10:13
     */
    static function activityRewardsStageKeys($aid){
        return "ACT_STAGE_REWARDS_KEY:{$aid}";
    }

    /**
     * 分多层配置的活动 不同层级的扩展配置key,hash
     * @return string
     * Created by: Xwy
     * Created on: 2023/01/05 10:13
     */
    static function activityStageExtraConfigKeys($aid){
        return "ACT_STAGE_EXTRA_CONF_KEY:{$aid}";
    }

    /**
     * 体力大师  体力系数配置
     * @return string
     * Created by: Xwy
     * Created on: 2021/11/22 10:13
     */
    static function treasureSpinsRatio($aid){
        return "TREASURE_SPINS_RATIO:{$aid}";
    }

    /**
     * 幸运转盘  体力系数配置
     * @param int $aid
     * @return string
     */
    static function luckyDiceSpinsRatio(int $aid): string
    {
        return "LUCKYDICE_SPINS_RATIO:{$aid}";
    }

    //关键数据订单汇总和当天支付实时
    static public function keydatatotal()
    {
        return "KEYDATATOTAL";
    }

    //关键数据订单汇总和当天支付实时
    static public function keydatadetail()
    {
        return "KEYDATADETAIL";
    }
    //关键数据订单汇总和当天支付实时
    static public function keydata($str = 'INFO')
    {
        return "KEYDATA:".$str;
    }
    /**
     * Notes:线上开启的活动hash,根据type分类
     * User: wsc
     * Time: 2020/7/22 14:15
     * @return string
     */
    static function onlineOpenActivity($type){
        return "CONF_ACTICITY_ONLINE_OPEN:".$type;
    }
    /**
     * Notes:活动详情
     * User: wsc
     * Time: 2020/7/22 14:13
     * @param $aid
     * @return string
     */
    static function activityInfo($aid){
        return "CONF_ACTIVITY_INFO:".$aid;
    }
    /**
     * Notes:活动扩展信息
     * User: xwy
     * Time: 2022/6/16 14:13
     * @param $aid
     * @return string
     */
    static function activityExtraInfo($aid){
        return "CONF_ACTIVITY_REWARD:".$aid;
    }
    /**
     * 消息中心显示开关
     * @return string
     * Created by: Owen
     * Created on: 2020/3/23 14:42
     */
    static public function RewardCenterShow(){
        return "REWARDCENTERSHOW";
    }
    /**
     * Notes:奖励中心显示类型
     * User: wsc
     * Time: 2020/8/11 16:18
     * @param $type
     * @return string
     */
    static public function actCenterShowType($type){
        return "RIGHTTOPRSHOW:".$type;
    }

    static public function IconShowCommonConf(){
        return "ICONSHOW_COMMONCONF";
    }

    static public function slotWhiteList(){
        return 'SLOTWHITELIST';
    }

    #注册用户uids
    static public function regUids($date){
        return 'REGISTER_UIDS:'.$date;
    }

    #登录用户uids
    static public function loginUids($date){
        return 'LOGIN_UIDS:'.$date;
    }
    //偷保底配置
    static function StealLuckCfg(){
        return "STEAL_LUCK_CONFIG";
    }
    //体力瓶保底配置
    static function SpinsLuckCfg(){
        return "SPINS_LUCK_CONFIG";
    }
    //小丑卡保底配置
    static function jokerLuckCfg(){
        return "JOKER_LUCK_CONFIG";
    }
    //偷保底配置(new)(date:20230621)
    static function StealBottleConf(){
        return "STEAL_BOTTLE_CONFIG";
    }
    //体力瓶保底配置(new)(date:20220516)
    static function SpinBottleConf(){
        return "SPINS_BOTTLE_CONFIG";
    }
    //已填写待发送的用户列表
    static function waitSendVerifyUidList(){
        return "WAIT_VERIFY_EMAIL_QUEUE";
    }
    //用户邮箱信息
    static function userEmailInfo($uid){
        return "USER_EMAIL:{$uid}";
    }

    //公会基础配置
    static function stopServiceConfig(){
        return "STOPSERVICE_CONFIG";
    }

    //公会基础配置
    static function clubBasicKey(){
        return "CLUB_CONFIG:BASIC";
    }

    //公会基础配置
    static function clubSurpriseKey($type){
        return "CLUB_CONFIG:SURPRISE:".strtoupper($type);
    }

    //公会推荐配置
    static function clubRecommendKey(){
        return "CLUB_CONFIG:RECOMMEND:LIST";
    }

    //公会推荐配置
    static function showJpinQuitKey(){
        return "CLUB_CONFIG:SHOW_JOIN_QUIT";
    }

    //公会推荐配置
    static function clubConfigKeyByType($type){
        return "CLUB_CONFIG:{$type}";
    }

    //新手引导最后一步配置
    static function guideLastStep(){
        return "GUIDE:LAST_STEP";
    }

    //回归条件配置
    static function returnsBasicKey(){
        return "RETURNS_BASIC_KEY";
    }

    //回归奖励开放时间配置
    static function returnsOpenTimeKey(){
        return "RETURNS_REWARDS_TIMES_KEY";
    }

    // tiktok 参数key
    static function tiktokParamsKey(){
        return "TIKTOK:PARAMS";
    }
    // tiktok 参数key
    static function tiktokTokenParamsKey(){
        return "TIKTOK:TOKEN:PARAMS";
    }
    //客户端日志采集用户列表
    static function userLogStatusList(){
        return "USER_LOGSTATUS_LIST";
    }
    static function userLogStatus($uid){
        return "USER_LOGSTATUS:{$uid}";
    }
    //体力瓶公共
    static function spinsPotBaseCfg(){
        return "USER_SPINSPOT_COMMCFG";
    }
    //打配置
    static function attackConfig(){
        return "ATTACKBASICWEIGHTCONFIG";
    }
    //体力瓶礼包
    static function spinsPotGift(){
        return "USER_SPINSPOT_GIFT";
    }
    //体力瓶权重
    static function spinsPotWeight(){
        return "USER_SPINSPOT_WEIGHT";
    }

    //基础配置表名
    static function basicConfigKey(){
        return "crazyGod_api_config.t_basic_config";
    }

    //签到配置key
    static function signInConfigKey($type): string
    {
        return "SIGNINCONFIG_{$type}";
    }

    /**
     * 卡组配置
     * @return string
     */
    static function CardGroupConfig()
    {
        return "CARDGROUPCONFIG";
    }

    /**
     * 卡片配置
     * @return string
     * Created by: Owen
     * Created on: 2020/3/25 11:19
     */
    static public function CardConfig(){
        return "CARDCONFIG";
    }

    /**
     * Notes:体力反比开关
     * User: wsc
     * Time: 2022/4/25 20:57
     * @return string
     */
    static public function spinsReturnStatus(){
        return "SPINS_RETURN_STATUS";
    }


    // RealSlotWeightConfig 真老虎机机权重配置
    static public function RealSlotWeightConfig($groupId, $lv){
        return "REAL_SLOT_WEIGHT_SHUSHU_CONFIG:{$groupId}_{$lv}";
    }

    // RealSloCeProbConfig 真老虎机修正概率配置
    static public function RealSloCeProbConfig($gid, $lv): string
    {
        return "CONFIG_SlOT_CEPRO_CONF:{$gid}_{$lv}";
    }

    // RealSlotWeightShushu 真老虎机数数分组
    static public function RealSlotWeightShushu() {
        return "REAL_SLOT_WEIGHT_SHUSHU";
    }

    // SlotRewardCoinsConfig 老虎机金币奖励配置
    static public function SlotRewardCoinsConfig($lv, $typ){
        return "SLOT_REWARD_COIN_CONFIG:{$lv}_{$typ}";
    }

    //副老虎机基础配置
    static function AssistantSlotsBasicCfg(): string
    {
        return "ASSISTANT_SLOTS_BASIC";
    }

    //副老虎机奖励倍率配置
    static function AssistantSlotsRewardRateCfg(): string
    {
        return "ASSISTANT_SLOTS_REWARD_RATE";
    }

    // RealSlotWeightConfig 真老虎机机权重配置
    static function AssistantSlotsWeightConfig($lv)
    {
        return "ASSISTANT_SLOTS_WEIGHT_CONFIG:{$lv}";
    }
    /**
     * Notes:排行榜活动房间用户排行
     * User: wsc
     * Time: 2020/8/1 18:48
     * @param $aid
     * @param $roomId
     * @return string
     */
    static function activityUserRankList($aid,$roomId){
        return "ACT_USER_RANK_LIST:{$aid}-{$roomId}";
    }
    //收集锦标赛阶段信息
    static function userActStageRate($uid,$aid){
        return "ACT_USER_STAGE_RATE:{$uid}-{$aid}";
    }
    //用户绑定的奖励分组
    static function userBindStageGroup($aid,$uid){
        return "USER:STAGE:{$aid}:{$uid}";
    }
    //活动绑定属性
    static function activityBindUserAttr($uid,$aid){
        return "ACT_BIND_USERATTR:{$uid}-{$aid}";
    }
    //体力大师领奖记录
    static function userSpinsMasterReceiveLog($aid,$uid){
        return "ACT_COMMON_RECEIVE_LOG:{$aid}-{$uid}";
    }
    //体力大师积分值
    static function userSpinsMasterScore($aid,$uid){
        return "ACT_COMMON_SCORE:{$aid}-{$uid}";
    }
    //通行证基本信息
    static function TrafficPermitUser($aid,$uid)
    {
        return "game_pass_{$aid}_{$uid}";
    }
    //水果机基础配置
    static function FruitGameBaseConfig()  {
        return "FRUIT_GAME_BASE_CONFIG";
    }
    //好友礼物金币配置
    static function userFriendGiftCoin(){
        return "FRIENDGIFTCOINCONFIG";
    }

    //好友礼物金币配置
    static function userPropActKey($type, $uid, $aid){
        return "PROP_ACT:{$type}:{$uid}:{$aid}";
    }
    /**
     * 玩家系统邮件读取状态
     * @param int $uid
     * @return string
     */
    static function sysMsgGet($uid = 0) {
        return "SYSMSGGOT:{$uid}";
    }

    static function adActions($adType){
        return "inviteActions:{$adType}";
    }
    /**
     * Notes:用户绑定活动RoomId
     * User: wsc
     * Time: 2020/8/3 9:42
     * @param $uid
     * @param $aid
     * @return string
     */
    static function activityUserRankBindRoomId($aid){
        return "ACT_USER_BIND_ROOMID:{$aid}";
    }
    /**
     * Notes:排行榜活动房间用户列表
     * User: wsc
     * Time: 2020/8/1 18:51
     * @param $aid
     * @param $roomId
     * @return string
     */
    static function activityRoomUserList($aid,$roomId){
        return "ACT_ROOM_USER_LIST:{$aid}-{$roomId}";
    }
    /**
     * 机器人列表
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2019/9/5 16:27
     */
    static public function GetRobotUserList(){
        return 'GETROBOTUSERLIST';
    }

//    涂色小游戏投票记录
    static public function paintVoteUserRecord($uid, $date){
        return "PAINT_VOTE:VOTE:RECORD:{$uid}:{$date}";
    }

//    涂色小游戏 投票次数
    static public function paintVoteUidNums($uid, $date){
        return "PAINT_VOTE:VOTE:NUM:{$uid}:{$date}";
    }

    //涂色小游戏 分享记录
    static public function paintVoteUidSharedNum($uid, $date){
        return "PAINT_VOTE:SHARED:NUM:{$uid}:{$date}";
    }

    /**
     * 登陸彈框配置
     * @return string
     * Created by: Owen
     * Created on: 2020/5/19 12:05
     */
    static function LoginBulletBox(){
        return "LOGINBULLETBOX";
    }

    // 新手收集活动公共配置
    static function NewPlayerCollect(){
        return "NEWPLAYERCOLLECT";
    }

    // 新手收集活动奖励配置
    static function NewPlayerCollectReward($id): string
    {
        return "NEW_USER_COLLECT_CONF_INFO:" . $id;
    }

    // 新手收集活动用户数据
    static function NewPlayerCollectUserData($uid): string
    {
        return "NEW_USER_COLLECT_DATA:" . $uid;
    }

    /**
     * 通行证信息
     * @param $aid
     * @param $uid
     * @return string
     */
    static public function GamePassInfo($aid, $uid): string
    {
        return "pass:info:{$aid}:{$uid}";
    }
    public static function activityUserStageKey($uid,$aid){
        return "USER:STAGE:{$aid}:{$uid}";
    }

    //活动公共配置
    static public function actCommonConf($aid)
    {
        return "ACT_COMMON_CONFIG:{$aid}";
    }
}
